aboutsummaryrefslogtreecommitdiffstats
path: root/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sparky-be-script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sparky-be-script.sh')
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sparky-be-script.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sparky-be-script.sh b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sparky-be-script.sh
new file mode 100644
index 0000000000..fe265ba2b0
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/sparky-be-script.sh
@@ -0,0 +1,16 @@
+
+NAME=$(/consul/config/bin/kubectl -n onap-aai get pod | grep -o "sparky-be[^[:space:]]*")
+
+if [ -n "$NAME" ]; then
+ if /consul/config/bin/kubectl -n onap-aai exec -it $NAME -- ps -efww | grep 'java' | grep 'sparky' > /dev/null; then
+
+ echo Success. UI Backend Service process is running. 2>&1
+ exit 0
+ else
+ echo Failed. UI Backend Service process is not running. 2>&1
+ exit 1
+ fi
+else
+ echo Failed. UI Backend Service container is offline. 2>&1
+ exit 1
+fi